漏洞信息详情

Npm Braces 资源管理错误漏洞

  • CNNVD编号:CNNVD-202103-1639
  • 危害等级: 中危
  • CVE编号: CVE-2018-1109
  • 漏洞类型: 资源管理错误
  • 发布时间: 2021-03-29
  • 威胁类型: 远程
  • 更新时间: 2021-10-20
  • 厂        商:
  • 漏洞来源:

漏洞简介

Npm Braces是美国Npm公司的一个应用程序。Bash的括号扩展,以JavaScript实现。

Braces versions prior to 2.3.1 存在资源管理错误漏洞,攻击者可利用该漏洞使用正则表达式拒绝服务(ReDoS)攻击。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://bugzilla.redhat.com/show_bug.cgi?id=1547272

参考网址

来源:MISC

链接:https://snyk.io/vuln/npm:braces:20180219

来源:MISC

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1547272

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2021.3472

来源:www.ibm.com

链接:https://www.ibm.com/blogs/psirt/security-bulletin-a-security-vulnerability-in-node-js-braces-and-netmask-module-affects-ibm-cloud-automation-manager/

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/164555/Red-Hat-Security-Advisory-2021-3917-01.html

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2018-1109

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多